will it work with windows vista?

I use a dell with windows vista 32-bit. Will the magic trackpad be compatible for my OS?

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    No. Mac OS X 10.6.4 (or higher when the time comes) is required. It will work with limited functionality in windows, providing that is on a Mac running Bootcamp.

    Was this useful? Answer 1

    12 of 16 people found this useful

Related Questions